Skip to main content
GET
/
qualification-records
/
stream
[beta] Get a stream of filtered qualification records.
curl --request GET \
  --url https://api.samsara.com/qualification-records/stream \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "createdAtTime": "2019-06-13T19:08:25Z",
      "createdBy": {
        "id": "938172",
        "type": "driver"
      },
      "fields": [
        {
          "id": "9814a1fa-f0c6-408b-bf85-51dc3bc71ac7",
          "type": "text",
          "checkBoxesValue": {
            "value": [
              "Option A",
              "Option B"
            ],
            "valueIds": [
              "0cbbddb3-2541-4889-b4eb-92171cbfc142",
              "d33198cb-369f-4278-8120-d92d3ebf74bf"
            ]
          },
          "dateTimeValue": {
            "type": "datetime",
            "value": "2024-08-08T18:53:23Z",
            "dateValue": "2024-08-08"
          },
          "label": "License Number",
          "mediaList": [
            {
              "id": "9814a1fa-f0c6-408b-bf85-51dc3bc71ac7",
              "processingStatus": "processing",
              "url": "https://samsara-forms-submission-media-uploads.s3.us-west-2.amazonaws.com/123456",
              "urlExpiresAt": "2019-06-13T19:08:25Z"
            }
          ],
          "multipleChoiceValue": {
            "value": "Yes",
            "valueId": "94096370-7228-4d83-ae5d-b20f3e45c0fc"
          },
          "numberValue": {
            "value": 123.456
          },
          "signatureValue": {
            "media": {
              "id": "9814a1fa-f0c6-408b-bf85-51dc3bc71ac7",
              "processingStatus": "processing",
              "url": "https://samsara-forms-submission-media-uploads.s3.us-west-2.amazonaws.com/123456",
              "urlExpiresAt": "2019-06-13T19:08:25Z"
            }
          },
          "tableValue": {
            "columns": [
              {
                "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
                "label": "Store Number",
                "type": "number"
              }
            ],
            "rows": [
              {
                "cells": [
                  {
                    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
                    "type": "number",
                    "checkBoxesValue": {
                      "value": [
                        "Option A",
                        "Option B"
                      ],
                      "valueIds": [
                        "0cbbddb3-2541-4889-b4eb-92171cbfc142",
                        "d33198cb-369f-4278-8120-d92d3ebf74bf"
                      ]
                    },
                    "dateTimeValue": {
                      "type": "datetime",
                      "value": "2024-08-08T18:53:23Z",
                      "dateValue": "2024-08-08"
                    },
                    "mediaValue": {
                      "mediaList": [
                        {
                          "id": "9814a1fa-f0c6-408b-bf85-51dc3bc71ac7",
                          "processingStatus": "processing",
                          "url": "https://samsara-forms-submission-media-uploads.s3.us-west-2.amazonaws.com/123456",
                          "urlExpiresAt": "2019-06-13T19:08:25Z"
                        }
                      ]
                    },
                    "multipleChoiceValue": {
                      "value": "Yes",
                      "valueId": "94096370-7228-4d83-ae5d-b20f3e45c0fc"
                    },
                    "numberValue": {
                      "value": 123.456
                    },
                    "personValue": {
                      "person": {
                        "entryType": "tracked",
                        "name": "Jake",
                        "polymorphicUserId": {
                          "id": "938172",
                          "type": "driver"
                        }
                      }
                    },
                    "signatureValue": {
                      "media": {
                        "id": "9814a1fa-f0c6-408b-bf85-51dc3bc71ac7",
                        "processingStatus": "processing",
                        "url": "https://samsara-forms-submission-media-uploads.s3.us-west-2.amazonaws.com/123456",
                        "urlExpiresAt": "2019-06-13T19:08:25Z"
                      }
                    },
                    "textValue": {
                      "value": "Exposed wires"
                    }
                  }
                ],
                "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
              }
            ]
          },
          "textValue": {
            "value": "Exposed wires"
          }
        }
      ],
      "id": "9814a1fa-f0c6-408b-bf85-51dc3bc71ac7",
      "issueDate": "2025-08-27T10:20:30Z",
      "owner": {
        "entityType": "worker",
        "id": "281474",
        "externalIds": {}
      },
      "qualificationType": {
        "id": "9814a1fa-f0c6-408b-bf85-51dc3bc71ac7",
        "name": "Driver License",
        "revisionId": "1214a1fa-f0c6-408b-bf85-51dc3bc71ac7"
      },
      "recordStatus": "active",
      "updatedAtTime": "2019-06-13T19:08:25Z",
      "updatedBy": {
        "id": "938172",
        "type": "driver"
      },
      "expirationDate": "2026-08-27T10:20:30Z",
      "externalIds": {}
    }
  ],
  "pagination": {
    "endCursor": "MjkY",
    "hasNextPage": true
  }
}

Documentation Index

Fetch the complete documentation index at: https://samsara-showcase.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

entityType
enum<string>
required

String of entity type. Valid values: worker, asset

Available options:
worker,
asset
startTime
string<date-time>
required

A start time in RFC 3339 format. Millisecond precision and timezones are supported. Examples: '2019-06-13T19:08:25Z' (basic UTC), '2019-06-13T19:08:25.455Z' (with milliseconds), '2015-09-15T14:00:12-04:00' (with timezone).

endTime
string<date-time>

An end time in RFC 3339 format. Optional and defaults to now if not provided. Millisecond precision and timezones are supported. Examples: '2019-06-13T19:08:25Z' (basic UTC), '2019-06-13T19:08:25.455Z' (with milliseconds), '2015-09-15T14:00:12-04:00' (with timezone).

after
string

If specified, this should be the endCursor value from the previous page of results. When present, this request will return the next page of results that occur immediately after the previous page of results.

qualificationTypeIds
string[]

Optional comma-separated list containing up to 100 qualification type IDs to filter on.

ownerIds
string[]

Optional comma-separated list of unique Samsara IDs of workers (if "entityType" is "worker") or assets (if "entityType" is "asset") to filter on. Max value for this field is 100 objects.

includeDeleted
boolean

If true, deleted qualification records are returned.

includeExternalIds
boolean

If true, externalIds for qualification record and for the owner entity are returned.

Response

OK response.

data
object[]
required

List of qualification records.

pagination
object
required

Pagination parameters.